import { Image } from './Image';
import { ImageFilter } from './ImageFilter';
export declare class XbrzImageFilter implements ImageFilter {
    constructor(scale?: 2 | 3 | 4 | 5 | 6);
    /**
     * The xBRZ scaling level.
     * Default value is 4x scaling.
     * Valid values are 2, 3, 4, 5, or 6.
     */
    scale: 2 | 3 | 4 | 5 | 6;
    apply(image: Image): Promise<Image>;
}
