export declare function getByteSubset(data: Uint8Array, offset: number, length: number): Uint8Array;
export declare function getString(data: Uint8Array, offset: number, length: number): string;
export declare function getNumber(data: Uint8Array, offset: number, length: number): number;
export declare function setByteSubset(data: Uint8Array, offset: number, bytes: Uint8Array): void;
export declare function setString(data: Uint8Array, offset: number, length: number, value: string): void;
export declare function setNumber(data: Uint8Array, offset: number, length: number, value: number): void;
export declare function calculateParity(data: Uint8Array, previousValue?: number): number;
/** Compresses separate nibbles into bytes, e.g., 0x0A0B0C0D becomes 0xBADC */
export declare function compressImageData(data: Uint8Array): Uint8Array;
/** Extracts separate nibbles from bytes, e.g., 0xBADC becomes 0x0A0B0C0D */
export declare function extractImageData(data: Uint8Array): Uint8Array;
export declare function convertPixelsFrom32To8(data: Uint32Array): Uint8ClampedArray;
export declare function convertPixelsFrom8To32(data: Uint8ClampedArray): Uint32Array;
