import { IndexedImageBase } from './IndexedImageBase';
import { ColorPalette } from '../ColorPalette';
interface CompositeIndexedImageSource {
    image: IndexedImageBase;
    x: number;
    y: number;
}
export declare class CompositeIndexedImage extends IndexedImageBase {
    readonly sources: Array<CompositeIndexedImageSource>;
    addSource(image: IndexedImageBase, x: number, y: number): this;
    get colorPalette(): ColorPalette;
    getSourceAt(x: number, y: number): CompositeIndexedImageSource | undefined;
    getColorIndexAt(x: number, y: number): number;
    setColorIndexAt(x: number, y: number, value: number): void;
}
export {};
