import { IndexedImageBase } from './IndexedImageBase';
import { ColorPalette } from '../ColorPalette';
export declare class IndexedImageSegment extends IndexedImageBase {
    readonly source: IndexedImageBase;
    readonly x: number;
    readonly y: number;
    constructor(source: IndexedImageBase, x: number, y: number, width: number, height: number);
    get colorPalette(): ColorPalette;
    getColorIndexAt(x: number, y: number): number;
    setColorIndexAt(x: number, y: number, value: number): void;
}
